import { IMidwayBootstrapOptions, IMidwayContainer } from '@midwayjs/core';
import { IMidwayLogger } from '@midwayjs/logger';
export declare function isTypeScriptEnvironment(): boolean;
export declare class BootstrapStarter {
    protected appDir: string;
    protected baseDir: string;
    protected globalOptions: Partial<IMidwayBootstrapOptions>;
    protected globalConfig: any;
    private applicationContext;
    configure(options: IMidwayBootstrapOptions): this;
    init(): Promise<IMidwayContainer>;
    run(): Promise<void>;
    stop(): Promise<void>;
    protected getBaseDir(): string;
}
export declare class Bootstrap {
    static starter: BootstrapStarter;
    static logger: IMidwayLogger;
    static configured: boolean;
    static applicationContext: IMidwayContainer;
    /**
     * set global configuration for midway
     * @param configuration
     */
    static configure(configuration?: IMidwayBootstrapOptions): typeof Bootstrap;
    private static getStarter;
    static run(): Promise<void>;
    static stop(): Promise<void>;
    static reset(): void;
    /**
     * on bootstrap receive a exit signal
     * @param signal
     */
    static onSignal(signal: any): Promise<void>;
    /**
     * on bootstrap process exit
     * @param code
     */
    static onExit(code: any): void;
    static uncaughtExceptionHandler(err: any): void;
    static unhandledRejectionHandler(err: any): void;
    static getApplicationContext(): IMidwayContainer;
}
//# sourceMappingURL=bootstrap.d.ts.map